Bug Hunting Session
Bug 107144 - CALC: Add icon for Show Comment on/off text button and change icon for Show Comments on/off and rename existing buttons
Summary: CALC: Add icon for Show Comment on/off text button and change icon for Show C...
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: Calc-Comments Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary Icon-Request Icon-Theme-Sifr
  Show dependency treegraph
 
Reported: 2017-04-13 14:33 UTC by Timur
Modified: 2019-07-05 07:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
customized toolbar preview in 6.2+ (12.49 KB, image/jpeg)
2018-07-12 07:48 UTC, Timur
Details
Test ODS in LO 6.3+ (23.88 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-05-06 10:17 UTC, Timur
Details
customized toolbar preview in LO 6.3+ and compare to LO 6.2 (82.70 KB, image/jpeg)
2019-05-06 10:20 UTC, Timur
Details
customized toolbar preview in LO 6.3+ and compare to LO 6.2 (81.99 KB, image/jpeg)
2019-05-06 10:23 UTC, Timur
Details
Updated Colibre's comment icon (7.95 KB, image/png)
2019-06-18 17:59 UTC, Rizal Muttaqin
Details
customized toolbar preview in LO 6.2, 6.3+ and 6.4+ (145.16 KB, image/jpeg)
2019-07-03 14:48 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2017-04-13 14:33:18 UTC
For OO Calc has Show Comment on/off text button that works on a single comment at the current cell.
What's missing is an icon for that and that should be added. That would more come in handy for touch screen but would be useful anyway. 
This command is not to be confused with separate Show Comment and Hide Comment buttons that were added in LO.
Comment 1 Yousuf Philips (jay) (retired) 2017-04-15 17:46:19 UTC
(In reply to Timur from comment #0)
> For OO Calc has Show Comment on/off text button that works on a single
> comment at the current cell.

Not so sure if the toggle behaviour show command button (.uno:NoteVisible) requires an icon be created for it, especially when its not visible by default anywhere.
Comment 2 andreas_k 2017-04-22 21:31:04 UTC
in writer there is .uno:ShowAnnotations this icon I need (I link to one) an icon. is it the same than the one in calc?

if it's the same, please add the functionality and I'll make the breeze icon (because I'll need it in the notebook toolbar).
Comment 3 Timur 2018-07-12 07:48:17 UTC Comment hidden (me-too)
Comment 4 Timur 2018-07-12 07:54:32 UTC
This was marked Fixed without explanation. But it's not fixed, as I explain further. I also expand this bug scope. 

"Show Comment" on/off button is still a text only, need an icon. 

"Show Comments" on/off button (which is different) has an icon. I can't say when it was added, but it used to be different and it looks the same now as Insert Comment. 
They should be different. I propose a double comment rectangle to indicate multiple comments. 

We should rename those commands with on/off behavior to make a distinction to similar one-way commands: 
"Show Comments" -> "Show/Hide Comments"
"Show Comment" -> "Show/Hide Comment"

I attach a customized toolbar preview in 6.2+ as attachment 143500 [details].
Note: other commands added here to default toolbar set for test are:
Show Comments (on/off, with icon)
Show All Comments
Hide All Comments
Show (single) Comment
Hide (single) Comment
Show Comment (on/off)
Comment 5 andreas_k 2018-07-12 07:57:15 UTC
when I play around with notebookbar the different commands with the naming also confuse me.

I would add the bug to the weekly design meeting and than we can improve it.
Comment 6 Heiko Tietze 2018-08-16 13:04:33 UTC
We discussed this issue in the design meeting. And besides proper icon design, we should indeed support the difference between "Show comment" (of the actual cell) vs. "Show All Comments", as Timur suggests. 

@Andreas, do you want, additionally to the icon design, to also update the string or should I do that?
Comment 7 Timur 2018-09-28 07:12:45 UTC Comment hidden (obsolete)
Comment 8 andreas_k 2018-09-28 08:45:02 UTC
I will update the icons and heiko please update the string.
Comment 9 Heiko Tietze 2018-10-08 15:29:06 UTC
Show/Hide (Single) Comment and Show/Hide All Comments is in the code

 #define STR_UNDO_SHOWNOTE NC_("STR_UNDO_SHOWNOTE", "Show Comment")
 #define STR_UNDO_HIDENOTE NC_("STR_UNDO_HIDENOTE", "Hide Comment")
 #define STR_UNDO_SHOWALLNOTES NC_("STR_UNDO_SHOWALLNOTES", "Show All Comments")
 #define STR_UNDO_HIDEALLNOTES NC_("STR_UNDO_HIDEALLNOTES", "Hide All Comments")
https://opengrok.libreoffice.org/xref/core/sc/inc/globstr.hrc#103

IIUR introduced by Gulsah in https://gerrit.libreoffice.org/#/c/35020/

You can customize all those commands into the toolbar but icons are missing.
Comment 10 Timur 2018-12-14 10:16:05 UTC Comment hidden (obsolete)
Comment 11 Bartlett 2018-12-26 09:08:34 UTC Comment hidden (spam)
Comment 12 Timur 2018-12-26 12:12:19 UTC
(In reply to Timur from comment #4)
> "Show Comments" on/off button .. looks the same now as Insert Comment. 
I don't like Insert Comment in Colibri because it's white. 
I'm used to yellow Insert Comment both in Calc and Writer. 
I'd like it to be changes here in this bug.
Comment 13 adlermoltz 2019-01-01 13:09:49 UTC Comment hidden (spam)
Comment 14 andreas_k 2019-04-22 21:14:52 UTC
I'd like to fix this bug, but in general I don't know what was needed for which uno command.

So please add the list of uno commands here and I will see how to fix the icon issue.
Comment 15 Heiko Tietze 2019-04-23 07:55:07 UTC
(In reply to andreas_k from comment #14)
> So please add the list of uno commands here...

.uno:ShowAllNotes, .uno:HideAllNotes additional to .uno:ShowNote and .uno:HideNote
Comment 16 andreas_k 2019-04-25 13:30:12 UTC
(In reply to Timur from comment #12)
> (In reply to Timur from comment #4)
> > "Show Comments" on/off button .. looks the same now as Insert Comment. 
> I don't like Insert Comment in Colibri because it's white. 
> I'm used to yellow Insert Comment both in Calc and Writer. 
> I'd like it to be changes here in this bug.

I make the colibre notes icons yellow. All icons area available in breeze, sifr, colibre.
Comment 17 Commit Notification 2019-04-25 20:34:59 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b91a8dc8358153f6fa25a394732c946a9e1bd359%5E%21

tdf#107144 make notes icons yellow in colibre

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 andreas_k 2019-04-25 20:48:50 UTC
should be done can someone verify.
Comment 19 Timur 2019-05-06 10:17:43 UTC
Created attachment 151202 [details]
Test ODS in LO 6.3+
Comment 20 Timur 2019-05-06 10:20:19 UTC
Created attachment 151203 [details]
customized toolbar preview in LO 6.3+ and compare to LO 6.2

There was an improvement, but I'd like 3 more changes per screenshot attached.

PS Thank you for adding yellow border to "Insert Comment".
Comment 21 Timur 2019-05-06 10:23:25 UTC
Created attachment 151204 [details]
customized toolbar preview in LO 6.3+ and compare to LO 6.2
Comment 22 Timur 2019-06-06 07:26:27 UTC Comment hidden (me-too)
Comment 23 Timur 2019-06-06 07:37:53 UTC
Andreas, can you please correct this for LO 6.3? If not too late.
Comment 24 Commit Notification 2019-06-17 18:43:56 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/df878758fc8abb13dd9e97f2619f400a28d99d66%5E%21

Colibre: Fix for tdf#107144 &  clean SVG files

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2019-06-17 18:59:15 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/26521429263b413169e14c9868269d36581184c1%5E%21

Colibre: Fix for tdf#107144 &  clean SVG files

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Rizal Muttaqin 2019-06-18 17:59:12 UTC
Created attachment 152277 [details]
Updated Colibre's comment icon

This is how it would like to be based on my change
Comment 27 Commit Notification 2019-06-18 21:52:08 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/11a1bdc5fa0312111ddf9c1b7779a114b97e361c%5E%21

Colibre, elementary, KJ: Fix for tdf#107144

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2019-06-18 21:53:34 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/38f79ddf341c35d654e6156a241ddacc5927b444%5E%21

Colibre, elementary, KJ: Fix for tdf#107144

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2019-06-27 04:35:59 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/068f5f085cea4a8c87bfb6e15d3f2f74e0b0f219%5E%21

Breeze: Fix for tdf#107144

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2019-06-27 21:53:43 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/7e47c20a1faf27c184454a3b07b14f27954cd245%5E%21

Breeze: Fix for tdf#107144, tdf#125879

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Timur 2019-07-03 14:27:09 UTC
Not as I suggested in attachment 151204 [details]. I have to analyze.
Comment 32 Timur 2019-07-03 14:48:40 UTC
Created attachment 152538 [details]
customized toolbar preview in LO 6.2, 6.3+ and 6.4+

There were further improvements, but it still needs some corrections.
Comment 33 Timur 2019-07-03 14:49:52 UTC
Text icon "Show Comment" needs an icon (combination of Show Comment and Hide Comment, maybe with vertical split). Should be renamed to “Show/Hide Comment”.

Icon “Comments” should have unique icon (combination of double Show Comments and Hide Comments, maybe with vertical split). Should be renamed to “Show/Hide Comments”.
Comment 34 Commit Notification 2019-07-05 07:01:44 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/623ad884051ad4ea17ba7baa77076c49000e49fa%5E%21

Colibre, Breeze, elementary, KJ: tdf#107144, Breeze: tdf#126233

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2019-07-05 07:02:02 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/000305699b62a09c8d3d580b0fc8d320d9ea34f8%5E%21

Colibre, Breeze, elementary, KJ: tdf#107144, Breeze: tdf#126233

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2019-07-05 07:20:56 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/25b54bd58a4adacafb1e084d6fb367860a5b5350%5E%21

Revert "Colibre, Breeze, elementary, KJ: tdf#107144, Breeze: tdf#126233"

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.